unit Edit;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TEditForm = class(TForm)
    bOK: TButton;
    bCancel: TButton;
    GroupBox: TGroupBox;
    eK: TEdit;
    Label8: TLabel;
    Label9: TLabel;
    eS: TEdit;
    procedure bOKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  EditForm: TEditForm;

implementation

{$R *.dfm}

procedure TEditForm.bOKClick(Sender: TObject);
begin
  try
    StrToFloat(eK.Text);
    StrToFloat(eS.Text);
  except
    on EConvertError do
    begin
      ModalResult := mrNone;
      raise;
    end;
  end;
end;

end.
